package com.leromro.core.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 后台管理订单结算页面
 */
@Data
public class SettlementOrderListVO {

    // 订单id
    private Long orderId;

    // 订单号
    private String outTradeNo;

    // 下单时间
    private Date orderTime;

    // 用户名称
    private String userNickName;

    // 志愿者名称
    private String volunteerName;

    // 服务项目内容
    private String businessDescribe;

    // 服务项目类型
    private String businessTierName;

    // 服务开始时间
    private Date serviceStartTime;

    // 服务结束时间
    private Date serviceEndTime;

    // 订单总金额
    private BigDecimal orderTotalPrice;

    // 订单状态
    private String orderStatus;

    // 区域公司
    private String areaName;

    // 服务中心
    private String serviceCentreName;

    // 区域公司抽成金额
    private BigDecimal areaDistributionAmount;

    // 区域公司结算状态
    private Integer areaSettlementStatus;

    // 区域公司结算时间
    private Date areaSettlementTime;

    // 服务中心抽成金额
    private BigDecimal serviceCentreDistributionAmount;

    // 服务中心结算状态
    private Integer serviceCentreSettlementStatus;

    // 服务中心结算时间
    private Date serviceCentreSettlementTime;
}
